
package de.ivu.elect.business.stimmeingabe.control;

import java.io.Serializable;

import de.ivu.elect.business.exchange.control.AbstractExchangeContext;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang;


import static org.apache.commons.lang3.StringUtils.isNotBlank;

public class ErgebniseingangExportContext extends AbstractExchangeContext implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Ergebniseingang ergebniseingang;

  private final Gebiet gebiet;

  private String wahlkurzname;

  public ErgebniseingangExportContext(Ergebniseingang ergebniseingang) {
    this(ergebniseingang, null, null);
  }

  public ErgebniseingangExportContext(Gebiet gebiet) {
    this(null, null, gebiet);
  }

  public ErgebniseingangExportContext(Ergebniseingang ergebniseingang, String wahlkurzname, Gebiet gebiet) {
    super();

    this.ergebniseingang = ergebniseingang;
    this.wahlkurzname = wahlkurzname;
    this.gebiet = gebiet;
  }

  public boolean isWahlkurznameGesetzt() {
    return isNotBlank(getWahlkurzname());
  }

  public String getWahlkurzname() {
    return wahlkurzname;
  }

  public void setWahlkurzname(String wahlkurzname) {
    this.wahlkurzname = wahlkurzname;
  }

  public Ergebniseingang getErgebniseingang() {
    return ergebniseingang;
  }

  public Gebiet getGebiet() {
    return gebiet;
  }
}
